summaryrefslogtreecommitdiff
path: root/desktop/mcwm/extractconfig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'desktop/mcwm/extractconfig.sh')
-rw-r--r--desktop/mcwm/extractconfig.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/desktop/mcwm/extractconfig.sh b/desktop/mcwm/extractconfig.sh
new file mode 100644
index 0000000000..ef81959996
--- /dev/null
+++ b/desktop/mcwm/extractconfig.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+PRGNAM=mcwm
+
+source ./$PRGNAM.info || exit 1
+
+SRCVER=${VERSION/_/-}
+
+[ -e config.h ] && mv -b config.h config.h.old
+tar xvfO $PRGNAM-$SRCVER.tar.bz2 --wildcards \*/config.h > config.h